For the complete documentation index, see llms.txt. This page is also available as Markdown.

Prioritäten Zu Aufgaben

Manage CRM task priorities in VARIO Cloud via the REST API, including priority types, ordering, retrieval, creation, updates, and deletion.

CRM Aufgaben: Prioritätsverwaltung

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

Priorität eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Optional

Bezeichnung

crmPriorityTypestring · enumRequired

Priorität

Possible values:
sortOrderinteger · int32Required

Sortierreihenfolge

get/erp/crm-tasks/priorities/{id}
GET /erp/crm-tasks/priorities/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "crmPriorityType": "CRITICAL",
  "sortOrder": 1,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

Priorität eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Optional

Bezeichnung

crmPriorityTypestring · enumRequired

Priorität

Possible values:
sortOrderinteger · int32Required

Sortierreihenfolge

Responses
200

successful operation

application/json

Priorität eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Optional

Bezeichnung

crmPriorityTypestring · enumRequired

Priorität

Possible values:
sortOrderinteger · int32Required

Sortierreihenfolge

put/erp/crm-tasks/priorities/{id}
PUT /erp/crm-tasks/priorities/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 143

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "crmPriorityType": "CRITICAL",
  "sortOrder": 1,
  "portalEnumRef": {
    "id": "text",
    "label": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "crmPriorityType": "CRITICAL",
  "sortOrder": 1,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/crm-tasks/priorities/{id}
DELETE /erp/crm-tasks/priorities/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

moves a line to a new position

put
Path parameters
crmTaskPriorityIdinteger · int64Required
positioninteger · int32Required
Responses
200

OK

application/json

Priorität eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Optional

Bezeichnung

crmPriorityTypestring · enumRequired

Priorität

Possible values:
sortOrderinteger · int32Required

Sortierreihenfolge

put/erp/crm-tasks/priorities/{crmTaskPriorityId}/move/{position}
PUT /erp/crm-tasks/priorities/{crmTaskPriorityId}/move/{position} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "crmPriorityType": "CRITICAL",
  "sortOrder": 1,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}
get
Responses
200

OK

application/json

Priorität eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Optional

Bezeichnung

crmPriorityTypestring · enumRequired

Priorität

Possible values:
sortOrderinteger · int32Required

Sortierreihenfolge

get/erp/crm-tasks/priorities
GET /erp/crm-tasks/priorities HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Create new Resource

post
Body

Priorität eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Optional

Bezeichnung

crmPriorityTypestring · enumRequired

Priorität

Possible values:
sortOrderinteger · int32Required

Sortierreihenfolge

Responses
200

successful operation

application/json

Priorität eines CRM-Objekts

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstring · min: 1Optional

Bezeichnung

crmPriorityTypestring · enumRequired

Priorität

Possible values:
sortOrderinteger · int32Required

Sortierreihenfolge

post/erp/crm-tasks/priorities
POST /erp/crm-tasks/priorities HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 143

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "crmPriorityType": "CRITICAL",
  "sortOrder": 1,
  "portalEnumRef": {
    "id": "text",
    "label": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "crmPriorityType": "CRITICAL",
  "sortOrder": 1,
  "portalEnumRef": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

Last updated

Was this helpful?